package gs.config.v0.source

import cats.effect.IO
import gs.config.v0.ConfigKey
import gs.config.v0.ConfigName
import gs.config.v0.GsSuite
import java.util.UUID

class EnvironmentConfigSourceTests extends GsSuite:

  test("should be named 'environment'") {
    val source = ConfigSource.environment[IO]
    assertEquals(source.name, "environment")
  }

  iotest("should query the environment for values") {
    val source = ConfigSource.environment[IO]
    val key =
      ConfigKey.Required[String](ConfigName(UUID.randomUUID().toString()))
    source.getValue(key).map(result => assertEquals(result, None))
  }
